package com.prolog.eis.service.page;

import com.prolog.eis.dto.page.*;

import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/1 10:41
 */
public interface PdaService {

    List<DismantlePickingListDto> dismantlePickingTaskList(String containerNo) throws Exception;

    DismantlePickingDetailDto dismantlePickingTaskDetail(String containerSubNo ,String eisWaveNo) throws Exception;

    void dismantlePickingConfirm(DismantleConfirmReqDto req) throws Exception;

    List<DismantleFullDetailDto> dismantleFullDetail(String  containerNo) throws Exception;

    void dismantleFullConfirm(DismantleConfirmReqDto req) throws Exception;

    PackOrderInfoDto packOrder(String gridNo);

    void tagPrint(Integer id,String gridNo);

    void unpacking(UnpackingDto req);

    PackOrderRespDto packOrderDetail(PackOrderDetailReqDto req,int flag) throws Exception;

    void packOrderFinish(Integer id,String gridNo);

    void packOrderLack(Integer id);

    void packOrderGridFinish(Integer id,String gridNo);

    void mergeContainerConfirm(MergeContainerConfirmDto req);

    MergeContainerListRespDto sourceMergeContainerScan(String containerNo) throws Exception;

    void targetMergeContainerScan(String sourceContainerNo, String targetContainerNo);

    MergeContainerDetailDto mergeContainerDetail(String containerNo) throws Exception;

    void mergeContainerBack(String containerNo) throws Exception;

    void handOfferScan(PackOrderDetailReqDto req) throws Exception;

    List<PackOrderCheckRespDto> checkOrder(Integer id, String gridNo) throws Exception;

    void itemSupervise(PackOrderItemSuperviseDto req) throws Exception;

    String itemSuperviseCheck(PackOrderItemSuperviseDto req);
}
